$(document).ready(function() {

    $("#date-input").datepicker();
    $( "#date-input" ).datepicker( "option", "dateFormat", "yy-mm-dd");

	$("#taxFree").click(function() {
		if($("#tax-input").attr("disabled") == "disabled") {
			$("#tax-input").removeAttr("disabled");
		} else {
			$("#tax-input").val("");
			$("#tax-input").attr("disabled", "true");
		}
	});

	$("#submit").click(function(event){
		event.preventDefault();

		var email = $("#email-input").val();
		var date = $("#date-input").val();
		var tax = $("#tax-input").val();
		var brutto = $("#brutto-input").val();
        var error = "";

        error = check(email,/^[_a-zA-Z]+[0-9a-zA-Z._]*@[_a-zA-Z.]+\.[_a-zA-Z]+$/, "#email", "#email-input");
        error = check(date,/^[0-9]{4,4}-[0-9]{2,2}-[0-9]{2,2}/, "#date", "#date-input");
        error = check(brutto, /\d+/, "#brutto", "#brutto-input");

		if ((!tax.match(/\d{1,2}/) || $("#tax-input").val().length > 2) && $("#tax-input").attr("disabled") != "disabled" ) {
			error = "Wrong tax definition";
			$("#tax").addClass("has-danger");
			$("#tax-input").addClass("form-control-danger");
		} else {
			$("#tax").removeClass("has-danger");
			$("#tax-input").removeClass("form-control-danger");
		}

		if (error == "") {
			save(email ,date ,tax, brutto);
		} 
	});

});

function save(email, date, tax , brutto) { 
		var q =	jQuery.ajax({
			url : "./save.php",
			context : $("#errMessage"),
			statusCode : {
				500 : function () {
					$(this).text(q.responseText);
				},
				200 : function () {
					$("#email-input").val("");
					$("#date-input").val("");
					$("#tax-input").val("");
					$("#brutto-input").val("");
					$(this).text(q.responseText);
				}
			},
			data : {
				email : email,
				date : date,
				tax : tax,
				brutto : brutto
			},
			method : "POST",
			dataType : "text"
		});
}

function check(toCheck, pattern, id, input) {
	if (!toCheck.match(pattern)) {
			$(id).addClass("has-danger");
			$(input).addClass("form-control-danger");
		} else {
			$(id).removeClass("has-danger");
			$(input).removeClass("form-control-danger");
			return false;
		}
}